import { addNotePaths, addPlaylistPaths, addUserPaths, addPaths, airplayPaths, arrowCollapseInPaths, arrowCollapsePaths, arrowDownPaths, arrowExpandOutPaths, arrowExpandPaths, arrowLeftPaths, arrowRightPaths, arrowUpPaths, bookmarkPaths, cameraPaths, chaptersPaths, chatCollapsePaths, chatPaths, chevronDownPaths, chevronLeftPaths, chevronRightPaths, chevronUpPaths, chromecastPaths, clipPaths, closedCaptionsOnPaths, closedCaptionsPaths, commentPaths, computerPaths, devicePaths, downloadPaths, episodesPaths, eyePaths, fastBackwardPaths, fastForwardPaths, flagPaths, fullscreenArrowExitPaths, fullscreenArrowPaths, fullscreenExitPaths, fullscreenPaths, heartPaths, infoPaths, languagePaths, linkPaths, lockClosedPaths, lockOpenPaths, menuHorizontalPaths, menuVerticalPaths, microphonePaths, mobilePaths, moonPaths, musicOffPaths, musicPaths, mutePaths, nextPaths, notificationPaths, odometerPaths, pausePaths, pictureInPictureExitPaths, pictureInPicturePaths, playPaths, playbackSpeedCirclePaths, playlistPaths, previousPaths, questionMarkPaths, queueListPaths, radioButtonSelectedPaths, radioButtonPaths, repeatOnPaths, repeatSquareOnPaths, repeatSquarePaths, repeatPaths, replayPaths, rotatePaths, searchPaths, seekBackward10Paths, seekBackward15Paths, seekBackward30Paths, seekBackwardPaths, seekForward10Paths, seekForward15Paths, seekForward30Paths, seekForwardPaths, sendPaths, settingsMenuPaths, settingsSwitchPaths, settingsPaths, shareArrowPaths, sharePaths, shuffleOnPaths, shufflePaths, stopPaths, subtitlesPaths, sunPaths, theatreModeExitPaths, theatreModePaths, thumbsDownPaths, thumbsUpPaths, timerPaths, transcriptPaths, tvPaths, userPaths, volumeHighPaths, volumeLowPaths, xMarkPaths } from 'media-icons';
import { forwardRef, createElement } from 'react';

const Icon = /* @__PURE__ */ forwardRef((props, ref) => {
  const { width, height, size = 32, __paths, ...restProps } = props;
  return createElement("svg", {
    ...restProps,
    width: width ?? size,
    height: height ?? size,
    viewBox: "0 0 32 32",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    focusable: "false",
    "data-media-icon": "true",
    ref,
    dangerouslySetInnerHTML: { __html: __paths }
  });
});

const AddNoteIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: addNotePaths });
});
const AddPlaylistIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: addPlaylistPaths });
});
const AddUserIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: addUserPaths });
});
const AddIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: addPaths });
});
const AirplayIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: airplayPaths });
});
const ArrowCollapseInIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: arrowCollapseInPaths });
});
const ArrowCollapseIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: arrowCollapsePaths });
});
const ArrowDownIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: arrowDownPaths });
});
const ArrowExpandOutIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: arrowExpandOutPaths });
});
const ArrowExpandIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: arrowExpandPaths });
});
const ArrowLeftIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: arrowLeftPaths });
});
const ArrowRightIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: arrowRightPaths });
});
const ArrowUpIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: arrowUpPaths });
});
const BookmarkIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: bookmarkPaths });
});
const CameraIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: cameraPaths });
});
const ChaptersIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: chaptersPaths });
});
const ChatCollapseIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: chatCollapsePaths });
});
const ChatIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: chatPaths });
});
const ChevronDownIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: chevronDownPaths });
});
const ChevronLeftIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: chevronLeftPaths });
});
const ChevronRightIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: chevronRightPaths });
});
const ChevronUpIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: chevronUpPaths });
});
const ChromecastIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: chromecastPaths });
});
const ClipIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: clipPaths });
});
const ClosedCaptionsOnIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: closedCaptionsOnPaths });
});
const ClosedCaptionsIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: closedCaptionsPaths });
});
const CommentIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: commentPaths });
});
const ComputerIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: computerPaths });
});
const DeviceIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: devicePaths });
});
const DownloadIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: downloadPaths });
});
const EpisodesIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: episodesPaths });
});
const EyeIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: eyePaths });
});
const FastBackwardIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: fastBackwardPaths });
});
const FastForwardIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: fastForwardPaths });
});
const FlagIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: flagPaths });
});
const FullscreenArrowExitIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: fullscreenArrowExitPaths });
});
const FullscreenArrowIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: fullscreenArrowPaths });
});
const FullscreenExitIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: fullscreenExitPaths });
});
const FullscreenIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: fullscreenPaths });
});
const HeartIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: heartPaths });
});
const InfoIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: infoPaths });
});
const LanguageIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: languagePaths });
});
const LinkIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: linkPaths });
});
const LockClosedIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: lockClosedPaths });
});
const LockOpenIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: lockOpenPaths });
});
const MenuHorizontalIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: menuHorizontalPaths });
});
const MenuVerticalIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: menuVerticalPaths });
});
const MicrophoneIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: microphonePaths });
});
const MobileIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: mobilePaths });
});
const MoonIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: moonPaths });
});
const MusicOffIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: musicOffPaths });
});
const MusicIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: musicPaths });
});
const MuteIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: mutePaths });
});
const NextIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: nextPaths });
});
const NotificationIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: notificationPaths });
});
const OdometerIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: odometerPaths });
});
const PauseIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: pausePaths });
});
const PictureInPictureExitIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: pictureInPictureExitPaths });
});
const PictureInPictureIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: pictureInPicturePaths });
});
const PlayIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: playPaths });
});
const PlaybackSpeedCircleIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: playbackSpeedCirclePaths });
});
const PlaylistIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: playlistPaths });
});
const PreviousIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: previousPaths });
});
const QuestionMarkIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: questionMarkPaths });
});
const QueueListIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: queueListPaths });
});
const RadioButtonSelectedIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: radioButtonSelectedPaths });
});
const RadioButtonIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: radioButtonPaths });
});
const RepeatOnIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: repeatOnPaths });
});
const RepeatSquareOnIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: repeatSquareOnPaths });
});
const RepeatSquareIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: repeatSquarePaths });
});
const RepeatIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: repeatPaths });
});
const ReplayIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: replayPaths });
});
const RotateIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: rotatePaths });
});
const SearchIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: searchPaths });
});
const SeekBackward10Icon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: seekBackward10Paths });
});
const SeekBackward15Icon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: seekBackward15Paths });
});
const SeekBackward30Icon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: seekBackward30Paths });
});
const SeekBackwardIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: seekBackwardPaths });
});
const SeekForward10Icon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: seekForward10Paths });
});
const SeekForward15Icon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: seekForward15Paths });
});
const SeekForward30Icon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: seekForward30Paths });
});
const SeekForwardIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: seekForwardPaths });
});
const SendIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: sendPaths });
});
const SettingsMenuIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: settingsMenuPaths });
});
const SettingsSwitchIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: settingsSwitchPaths });
});
const SettingsIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: settingsPaths });
});
const ShareArrowIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: shareArrowPaths });
});
const ShareIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: sharePaths });
});
const ShuffleOnIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: shuffleOnPaths });
});
const ShuffleIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: shufflePaths });
});
const StopIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: stopPaths });
});
const SubtitlesIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: subtitlesPaths });
});
const SunIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: sunPaths });
});
const TheatreModeExitIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: theatreModeExitPaths });
});
const TheatreModeIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: theatreModePaths });
});
const ThumbsDownIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: thumbsDownPaths });
});
const ThumbsUpIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: thumbsUpPaths });
});
const TimerIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: timerPaths });
});
const TranscriptIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: transcriptPaths });
});
const TvIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: tvPaths });
});
const UserIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: userPaths });
});
const VolumeHighIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: volumeHighPaths });
});
const VolumeLowIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: volumeLowPaths });
});
const XMarkIcon = /* @__PURE__ */ forwardRef((props, ref) => {
  return createElement(Icon, { ...props, ref, __paths: xMarkPaths });
});

export { AddIcon, AddNoteIcon, AddPlaylistIcon, AddUserIcon, AirplayIcon, ArrowCollapseIcon, ArrowCollapseInIcon, ArrowDownIcon, ArrowExpandIcon, ArrowExpandOutIcon, ArrowLeftIcon, ArrowRightIcon, ArrowUpIcon, BookmarkIcon, CameraIcon, ChaptersIcon, ChatCollapseIcon, ChatIcon, ChevronDownIcon, ChevronLeftIcon, ChevronRightIcon, ChevronUpIcon, ChromecastIcon, ClipIcon, ClosedCaptionsIcon, ClosedCaptionsOnIcon, CommentIcon, ComputerIcon, DeviceIcon, DownloadIcon, EpisodesIcon, EyeIcon, FastBackwardIcon, FastForwardIcon, FlagIcon, FullscreenArrowExitIcon, FullscreenArrowIcon, FullscreenExitIcon, FullscreenIcon, HeartIcon, InfoIcon, LanguageIcon, LinkIcon, LockClosedIcon, LockOpenIcon, MenuHorizontalIcon, MenuVerticalIcon, MicrophoneIcon, MobileIcon, MoonIcon, MusicIcon, MusicOffIcon, MuteIcon, NextIcon, NotificationIcon, OdometerIcon, PauseIcon, PictureInPictureExitIcon, PictureInPictureIcon, PlayIcon, PlaybackSpeedCircleIcon, PlaylistIcon, PreviousIcon, QuestionMarkIcon, QueueListIcon, RadioButtonIcon, RadioButtonSelectedIcon, RepeatIcon, RepeatOnIcon, RepeatSquareIcon, RepeatSquareOnIcon, ReplayIcon, RotateIcon, SearchIcon, SeekBackward10Icon, SeekBackward15Icon, SeekBackward30Icon, SeekBackwardIcon, SeekForward10Icon, SeekForward15Icon, SeekForward30Icon, SeekForwardIcon, SendIcon, SettingsIcon, SettingsMenuIcon, SettingsSwitchIcon, ShareArrowIcon, ShareIcon, ShuffleIcon, ShuffleOnIcon, StopIcon, SubtitlesIcon, SunIcon, TheatreModeExitIcon, TheatreModeIcon, ThumbsDownIcon, ThumbsUpIcon, TimerIcon, TranscriptIcon, TvIcon, UserIcon, VolumeHighIcon, VolumeLowIcon, XMarkIcon };
