import { type ForwardRefExoticComponent, type PropsWithoutRef, type RefAttributes, type SVGProps } from 'react';
export type { IconType } from 'media-icons';
export interface IconProps extends PropsWithoutRef<SVGProps<SVGSVGElement>>, RefAttributes<SVGElement | SVGSVGElement> {
    /**
     * The horizontal (width) and vertical (height) length of the underlying `<svg>` element.
     *
     * @see {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/width}
     * @see {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/height}
     */
    size?: number;
    /**
     * @docs {@link https://www.vidstack.io/docs/player/core-concepts/styling#slots}
     */
    slot?: string;
    /**
     * @docs {@link https://www.vidstack.io/docs/player/core-concepts/styling#parts}
     */
    part?: string;
    __paths?: string;
}
export interface IconComponent extends ForwardRefExoticComponent<IconProps> {
}
export declare const Icon: IconComponent;
