import { type RefObject } from 'react';
import { MediaRemoteControl } from 'vidstack';
/**
 * A media remote provides a simple facade for dispatching media requests to the nearest media
 * player.
 *
 * @param target - The DOM event target to dispatch request events from. Defaults to `<media-player>`
 * if no target is provided.
 *
 * @docs {@link https://vidstack.io/docs/react/player/core-concepts/state-management#updating}
 */
export declare function useMediaRemote(target?: EventTarget | null | RefObject<EventTarget | null>): MediaRemoteControl;
