import type { RefObject } from 'react';
import { type MediaPlayerElement, type MediaState } from 'vidstack';
/**
 * This hook is used to subscribe to the current media state on the nearest parent
 * player element (i.e., `<media-player>`).
 *
 * @docs {@link https://vidstack.io/docs/react/player/core-concepts/state-management#reading}
 */
export declare function useMediaStore(ref?: RefObject<MediaPlayerElement | null>): Readonly<MediaState>;
