import type { RefObject } from 'react';
import { type MediaSliderElement, type SliderState } from 'vidstack';
/**
 * This hook is used to subscribe to the current slider state on the given or nearest
 * slider element (e.g., `<media-slider>`, `<media-time-slider>`, `<media-volume-slider>`).
 *
 * @docs {@link https://vidstack.io/docs/react/player/components/sliders/slider#subscribe}
 */
export declare function useSliderStore(ref?: RefObject<MediaSliderElement | null>): Readonly<SliderState>;
